Routes

Get consents by user ID

GEThttps://api.insurely.com/users/{id}/consents

Returns all consents for the specified user within the client scope. Intended for backend-to-backend use with API key authentication.

Request

Path Parameters

idstring

The UUID of the user

Header Parameters

Insurely-Versionstring

Specifies the API version to use. Must match the version of the endpoint you are targeting.

Possible Enum values are 2026-04-01.

Responses

Consents retrieved successfully.

Body

companystring

Bank/provider identifier.

consentIdstring

Unique identifier for the consent.

expiresAtstring[date-time]

Expiration timestamp for the consent.

scope

Requested consent scopes.

One of these types:

Properties below are from the Psd2AisConsentScopeDto subtype. View the full schema for full details.

PSD2 AIS consent scope with account access details

accountIdsArray<string>
balancesboolean
transactionsboolean
statusstring

Current status of the consent.

Possible Enum values are INITIATED, AWAITING_AUTHORIZATION, AUTHORIZED, REVOKED, EXPIRED or FAILED.
cURL
curl https://api.insurely.com/users/{id}/consents \
  -H "authorization-token: <authorization-token>"